Package org.jbpm.services.task.events

## Class TaskEventImpl

- java.lang.Object
- - java.util.EventObject
  - - org.jbpm.services.task.events.TaskEventImpl

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.task.TaskEvent`, `org.kie.internal.task.api.TaskEvent`

      public class TaskEventImpl
      extends EventObject
      implements org.kie.internal.task.api.TaskEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskEventImpl​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getEventDate()` |
    `Map<String,​Object>` | `getMetadata()` |
    `org.kie.api.task.model.Task` | `getTask()` |
    `org.kie.internal.task.api.TaskContext` | `getTaskContext()` |
    `void` | `setTask​(org.kie.api.task.model.Task task)` |
    `void` | `setTaskContext​(org.kie.internal.task.api.TaskContext context)` |

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskEventImpl

          public TaskEventImpl​(org.kie.api.task.model.Task task,
                               org.kie.internal.task.api.TaskContext context)

  - ### Method Detail

    - #### getTask

          public org.kie.api.task.model.Task getTask()

      Specified by:
        `getTask` in interface `org.kie.api.task.TaskEvent`

    - #### setTask

          public void setTask​(org.kie.api.task.model.Task task)

    - #### getTaskContext

          public org.kie.internal.task.api.TaskContext getTaskContext()

      Specified by:
        `getTaskContext` in interface `org.kie.api.task.TaskEvent`

    - #### setTaskContext

          public void setTaskContext​(org.kie.internal.task.api.TaskContext context)

    - #### getEventDate

          public Date getEventDate()

      Specified by:
        `getEventDate` in interface `org.kie.api.task.TaskEvent`

    - #### getMetadata

          public Map<String,​Object> getMetadata()

      Specified by:
        `getMetadata` in interface `org.kie.api.task.TaskEvent`